Channeltooltip looks like garbage
02/20/2008 09:48 PM - EgS
Description

If the topic is more than about 20 characters the whole thing gets wrapped (often multiple times) rendering the Tooltip to something
like Toolgarbage

History

#1 - 02/20/2008 11:00 PM - phon

| noticed the automatic linebreak of the topic. In the channels | was joined at that moment (e.g. #quassel.de) it didn't look that bad. Perhaps an extra
linefeed, some other colors or a horizontal rule might help.

#2 - 02/20/2008 11:10 PM - EgS

| attached 2 files that show the issue.
In general | think (open to discussion) that the tooltips should contain important/helpful data represented in a clean way. think: less is more. So: is the
topic needed or helpful here? Maybe a short/elided version suffices?

#3 - 02/20/2008 11:15 PM - EgS

looking at those screenshots: less than and greater than (</>) should be escaped, as they are treated as tags and unknown tags are dropped.

#4 - 02/21/2008 01:04 AM - phon

what about this:

i changed the order - topic is now last

i placed a small blank line as spacer between the topic and the rest - the horizontal rule had too much hight (even after setting <hr style="hight:
2px"/>)

-> see screenshots #gentoo & #qt-chat
#5 - 02/22/2008 02:53 PM - phon
... any ideas/remarks concerning my screenshots?

as EgS said: less is more - so the topic could also be chopped or even not displayed at all. perhaps the user should descide for himeself
(configuration -> general-options)

#6 - 02/27/2008 03:59 PM - phon

context menu is now configurable - it can be chosen if the topic is shown in the context menu

Files

amarok.de.png 301 KB 02/20/2008 admin
gentoo.png 307 KB 02/20/2008 admin
_gentoo.png 314 KB 02/20/2008 admin
_gt-chat.png 301 KB 02/21/2008 admin
